<?php
//session_start();
//include_once('config.php');

if($_GET['proceso']) $proceso=$_GET['proceso'];
if($_GET['procedencia']) $procedencia=$_GET['procedencia'];
if($_GET['subProceso']) $subProceso=$_GET['subProceso'];
if($_GET['codigo']) $codigo=$_GET['codigo'];
$subCarpeta=NULL;

//echo '<p>--------------</p>';
//echo '<p>proceso: '.$proceso.'</p>';
//echo '<p>procedencia: '.$procedencia.'</p>';
//echo '<p>subProceso: '.$subProceso.'</p>';
//echo '<p>codigo: '.$codigo.'</p>';
//echo '<p>--------------</p>';


$envioDirectoFotosGeneral=(isset($_SESSION['parametrosSGA']['EnvioSelectivoFotos']) && $_SESSION['parametrosSGA']['EnvioSelectivoFotos']=='S'); //TAREA 73879.


switch($proceso) {

	case 'salidas':
	
		$numeroDocumento=$_SESSION['orden']['OrdenPreparacion'];
		$empresaDocumento=$_SESSION['orden']['Empresa'];
		$sePuedenTomarFotos=( $_SESSION['orden']['Estado']=='Iniciada' );
		
		//01-04-2025 excepcionalmente, en las fotos de salidas se puede venir de una orden cerrada referenciada desde la carga de camión
		if( isset($_SESSION['carga']) && $_SESSION['orden']['EstadoOprep']=='Cerrada' ) {
			$sePuedenTomarFotos=true;
			$envioDirectoFotos=true;
			$envioDirectoFotosTipoProceso='Salida';
			$botonVolver='Volver a la Carga de Camión';
			$direccionVolver='carga-camion-detalle-ampliado.php';
		}
		else {
		
			//26-03-2026
			if( isset($envioDirectoFotosGeneral) && $envioDirectoFotosGeneral ){
				$envioDirectoFotos=true;
				$envioDirectoFotosTipoProceso='Salida';
			}
			else $envioDirectoFotos=false;
		
		}
		
		break;

	case 'entradas':
	
		$numeroDocumento=$_SESSION['entrada']['NumEntrada'];
		$empresaDocumento=$_SESSION['entrada']['Empresa'];
		$sePuedenTomarFotos=($_SESSION['entrada']['Estado']=='Iniciada');
		
		//26-03-2026
		if( isset($envioDirectoFotosGeneral) && $envioDirectoFotosGeneral ){
			$envioDirectoFotos=true;
			$envioDirectoFotosTipoProceso='Entrada';
		}
		else $envioDirectoFotos=false;
		
		
		break;
		
	case 'cargas':
	
		$numeroDocumento=$_SESSION['carga']['NumCarga'];
		$empresaDocumento=$_SESSION['usuario']['EmpresaCarga'];
		$sePuedenTomarFotos=true;
		$botonVolver='Volver a la Carga de Camión';
		$direccionVolver='carga-camion-detalle.php?carga='.$numeroDocumento;
		$sePuedenTomarFotos=true;
		
		//26-03-2026
		if( isset($envioDirectoFotosGeneral) && $envioDirectoFotosGeneral ){
			$envioDirectoFotos=true;
			$envioDirectoFotosTipoProceso='Carga';
		}
		else $envioDirectoFotos=false;
		
		
		//Volvemos a recargar la consulta, para tener datos en tiempo real

		$peticion='SGACargasCamion#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CARGASENCURSO#'.$fecha.";".$_SESSION['almacen'];
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		foreach($resultado as $item) {
			if($item['NumCarga']==$numeroDocumento) $orden=$item;
		}
		
		break;
		
}

switch($subProceso) {

	case 'puntosControl':
		$subCarpeta='PuntosControl';
		$sufijo=' ('.$codigo.')'; //Para el final de los nombres de los archivos
		$sePuedenTomarFotos=true;
		$botonVolver='Volver a los Puntos de Control';
		$direccionVolver='puntos-control.php?procedencia='.$procedencia.'&origen=fotos';
		
		//Buscamos la info del punto de control
		foreach($_SESSION['puntosDeControl'] as $item) {
		
			$clavePuntoControl=$item['Codigo'].'-'.$item['Tipo'];
			
			if($codigo==$clavePuntoControl) {
				
				$puntoControl=$item;
				
				//Modificaciones grabadas en la pantalla anterior
				if($_SESSION['puntosControl']['puntos'][$clavePuntoControl]['estado']) $puntoControl['Estado']=$_SESSION['puntosControl']['puntos'][$clavePuntoControl]['estado'];
                if($_SESSION['puntosControl']['puntos'][$clavePuntoControl]['nuevoValor']) $puntoControl['NuevoValor']=$_SESSION['puntosControl']['puntos'][$clavePuntoControl]['nuevoValor'];
                if($_SESSION['puntosControl']['puntos'][$clavePuntoControl]['observaciones']) $puntoControl['Observaciones']=$_SESSION['puntosControl']['puntos'][$clavePuntoControl]['observaciones'];
				
			}
			
		}

}

if($_GET['traza']=='si') {
	echo '<p>###################</p>';
	echo '<p>proceso: '.$proceso.'</p>';
	echo '<p>procedencia: '.$procedencia.'</p>';
	echo '<p>subProceso: '.$subProceso.'</p>';
	echo '<p>empresaDocumento: '.$empresaDocumento.'</p>';
	echo '<p>subCarpeta: '.$subCarpeta.'</p>';
	echo '<p>numeroDocumento: '.$numeroDocumento.'</p>';
	echo '<p>codigo: '.$codigo.'</p>';
	echo '<p>sePuedenTomarFotos: '.$sePuedenTomarFotos.'</p>';
	echo '<p>botonVolver: '.$botonVolver.'</p>';
	echo '<p>direccionVolver: '.$direccionVolver.'</p>';
}

if($numeroDocumento) {

	include_once('librerias/funciones-generales.php');
	include_once('librerias/fotos-documento.php');
	
	//20-08-2020 detectamos que en un entorno multiempresa hay que separar las fotos, por eso el ultimo parametro añade la empresa
	//20-01-2023 añadimos subcarpeta para los puntos de control
	$fotosProceso=new FotosDocumento($proceso,$numeroDocumento,$empresaDocumento,$subCarpeta);
	
	$fotosSubidas=$fotosProceso->fotosSubidas($sufijo);
	$contadorSubidas=count($fotosSubidas);

}



?>